Name:           python-jenkins
Version:        0.2.1
Release:        1%{?dist}
Summary:        Python bindings for the remote Jenkins API

Group:          Development/Libraries
License:        BSD
URL:            http://launchpad.net/python-jenkins
Source0:        https://launchpad.net/%{name}/0.2/%{version}/+download/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-sphinx
Requires:       python2

%description
Python Jenkins is a library for the remote API of the Jenkins continuous
integration server. It is useful for creating and managing jobs as well as
build nodes.

%prep
%setup -q

# Remove env from __init__.py
sed -i '/^#!\/usr\/bin\/env python$/d' jenkins/__init__.py

%build
%{__python2} setup.py build
pushd doc
make html man
rm -f build/html/.buildinfo
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -D -m0644 doc/build/man/pythonjenkins.1 %{buildroot}%{_mandir}/man1/pythonjenkins.1

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests -w tests

%files
%doc COPYING doc/build/html
%{python2_sitelib}/jenkins
%{python2_sitelib}/python_jenkins-%{version}-py?.?.egg-info
%{_mandir}/man1/pythonjenkins.1.gz

%changelog
* Fri Feb 21 2014 Scott K Logan <logans@cottsay.net> - 0.2.1-1
- Initial package
